<template>
  <component
    :is="tag"
    :href="href"
    :to="to"
    :type="type"
    :class="modification"
    class="button"
    @click="$emit('click')"
  >
    <slot />
  </component>
</template>

<script>
export default {
  name: "VButton",
  props: {
    modification: {
      type: String,
      default: ""
    },
    href: {
      type: String,
      required: false
    },
    to: {
      type: Object,
      default: null
    },
    type: {
      type: String,
      default: null
    },
  },
  computed: {
    tag() {
      return this.href ? "a" : this.to ? "router-link" : "button";
    }
  }
}
</script>

<style scoped>

</style>